Skip to main content
GET
/
orgs
/
{orgId}
/
anomaly-alerts
/
{alertId}
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/anomaly-alerts/{alertId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "orgId": "<string>",
  "agentId": "<string>",
  "baselineValue": 123,
  "actualValue": 123,
  "zScore": 123,
  "ruleId": "<string>",
  "details": {},
  "acknowledgedBy": "<string>",
  "acknowledgedAt": "<string>",
  "resolvedBy": "<string>",
  "resolvedAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

alertId
string
required

Alert identifier

Response

200 - application/json

OK

An anomaly detection alert

id
string
required

Unique alert identifier

orgId
string
required

Organization identifier

agentId
string
required

Agent identifier

metric
enum<string>
required

Type of metric being tracked

Available options:
email_send_rate,
sms_send_rate,
vault_access_rate,
api_call_rate,
unique_recipients
severity
enum<string>
required

Severity level of the anomaly alert

Available options:
INFO,
WARNING,
CRITICAL
status
enum<string>
required

Current status of the anomaly alert

Available options:
TRIGGERED,
ACKNOWLEDGED,
RESOLVED,
FALSE_POSITIVE
baselineValue
number
required

Expected baseline value

actualValue
number
required

Observed actual value

zScore
number
required

Z-score of the deviation

ruleId
string | null
required

Identifier of the rule that triggered this alert

details
object
required

Additional details about the anomaly

acknowledgedBy
string | null
required

User who acknowledged the alert

acknowledgedAt
string | null
required

ISO 8601 timestamp when acknowledged

resolvedBy
string | null
required

User who resolved the alert

resolvedAt
string | null
required

ISO 8601 timestamp when resolved

createdAt
string
required

ISO 8601 timestamp when alert was created

updatedAt
string
required

ISO 8601 timestamp when alert was last updated